#include <bits/stdc++.h>

using namespace std;

long long a[30000], b[30000];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int t;
    cin>>t;

    while(t--)
    {
        bool da=true;

        int n;
        cin>>n;
        for(int j=0; j<n; j++)
        {
            cin>>a[j];
        }
        for(int j=0; j<n; j++)
        {
            cin>>b[j];
        }

        for(int j=0; j<n; j++)
        {
            int k=0;
            while(abs(a[j])!=abs(b[k]) && k<n) k++;
            k--;
            if(abs(a[j])!=abs(b[k])) k++;
            int zna=0;
            int znb=0;
            if(a[j]>0) zna=1;
            if(b[k]>0) znb=1;
            if((zna==znb && (k-j)%2!=0) || (zna!=znb && (k-j)%2==0))
            {
                da=false;
                break;
            }
        }

        if(da)
        {
            cout<<"DA";
        }
        else
        {
            cout<<"NE";
        }

        cout<<'\n';
    }

    //return 0;
}